Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		glitz
Version:	0.5.6
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://cairographics.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	glitz - OpenGL image compositing library.
BuildRequires:	mesa-libGL-devel
BuildRequires:  libX11-devel
BuildRequires:  glibc-devel


%description
Glitz is an OpenGL image compositing library. Glitz provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

The semantics of glitz are designed to precisely match the
specification of the X Render extension. Glitz does not only implement
X Render features like component alpha and image transformations, but
also support for additional features like convolution filters and color
gradients, which are not currently part of the X Render specification.

The performance and capabilities of glitz are much dependent on
graphics hardware. Glitz does not in any way handle software
fall-backs when graphics hardware is insufficient. However, glitz
will report if any requested operation cannot be carried out by
graphics hardware, hence making a higher level software layer
responsible for appropriate actions.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_pkgconfig
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.5.6-1
- Version Update
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 0.5.3-1
- Version Update
* Sun Jul 10 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.3-1
- Initial Release
